# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_expire_dns_zone
Version: 0.1
Release: 1.ndias%{?dist}
Summary: Nagios plugin to compare the slave and the master DNS nameservers SOA records

License: GPLv2
URL:     https://github.com/alcir/nagios/tree/master/checkexpire
Source0: https://github.com/alcir/nagios/archive/refs/heads/master.zip#/%{name}-%{version}.tar.gz
Patch0:  Patch-checkexpire

BuildArch: noarch

%description
This script uses dig to query two dns servers and to compare the SOA record.
Useful to check if a slave zone is not in sync with the master.

%prep
%setup -q -n nagios-master

%patch0 -p0

%build


%install
install -p -m 755 -D checkexpire/checkexpire.sh %{buildroot}/%{_libdir}/nagios/plugins/checkexpire.sh


%files
%doc checkexpire/README.md
%license LICENSE

%{_libdir}/nagios/plugins/checkexpire.sh

%changelog
* Mon Jun 13 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.1-1.ndias
- Version 0.1
